Skip to main content
GET
/
v1
/
codon-exports
/
{export_id}
Fetch a codon export
curl --request GET \
  --url https://api.example.com/v1/codon-exports/{export_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "variant_id": "<string>",
  "strategy": "<string>",
  "host": "<string>",
  "signal_peptides": {},
  "options": {},
  "created_at": "<string>",
  "object": "codon_export",
  "batch_id": "<string>",
  "job_id": "<string>",
  "variable_cds": {},
  "constraints_satisfied": true,
  "violations": [
    {}
  ],
  "metrics": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

export_id
string<uuid>
required

Response

Successful Response

A codon export as returned by /v1.

id
string
required

Opaque export identifier (UUID).

variant_id
string
required
strategy
string
required
host
string
required
signal_peptides
Signal Peptides · object
required

Signal peptide UUID per chain role used for this export.

options
Options · object
required
created_at
string
required

ISO-8601 timestamp (UTC).

object
string
default:codon_export

Polymorphic discriminator. Always codon_export.

Allowed value: "codon_export"
batch_id
string | null
job_id
string | null
variable_cds
Variable Cds · object

Per-chain optimized CDS sequences, keyed by chain id. null (or empty) while the job is still running.

constraints_satisfied
boolean | null

true if all hard constraints were satisfied. null while the job is still running.

violations
Violations · object[] | null
metrics
Metrics · object

Per-chain codon optimization metrics (CAI, GC%, length, …).